
--
-- SQL DDL to create the stored procedure
-- on DB2/workstation
--

drop procedure ASN.ADMINIF;

drop tablespace ASNADMINIFSPACE;

CREATE PROCEDURE ASN.ADMINIF
(
 IN CMD           VARCHAR(32400),
 IN CMDPARMS      VARCHAR(32400),
 IN CMDOPTIONS    VARCHAR(32400),
 IN DATAIN_CHAR   VARCHAR(32400),
 IN DATAIN_BIN    VARCHAR(32400) FOR BIT DATA,
 IN CWD           VARCHAR(32400),
 IN LIBPATH       VARCHAR(32400),
 IN ROOTPATH      VARCHAR(32400),
 IN ENV           VARCHAR(32400),
 OUT DATAOUT_CHAR VARCHAR(32400),
 OUT DATAOUT_BIN  VARCHAR(32400) FOR BIT DATA,
 OUT RESOPTIONS   VARCHAR(32400),
 OUT MESSAGES     VARCHAR(32400),
 OUT TRACE        VARCHAR(32400),
 OUT ERRORAREA    INT,
 OUT RC           INT
)
 DYNAMIC RESULT SETS 1 MODIFIES SQL DATA EXTERNAL NAME 'asnadmsp!ASNADMIF'
 LANGUAGE C PARAMETER STYLE GENERAL FENCED NOT DETERMINISTIC ;

create user temporary tablespace ASNADMINIFSPACE
  managed by system using ('ASNADMINIFSPACE_CONTAINER');

grant use of tablespace ASNADMINIFSPACE to public;
